# -*- coding: utf-8 -*-
#------------------------------------------------------------
# The Greek Addon by Abeksis | www.abeksis.com
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# Author: Greek 2016 © abeksis
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.greek'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "PLdODhYAqRu3YDGTZqIqmzo0fEecnudNST"
YOUTUBE_CHANNEL_ID_2 = "PLdODhYAqRu3Zjl8dNlM5dZ1cldIq7tC2Q"
YOUTUBE_CHANNEL_ID_3 = "PLdODhYAqRu3bkft4xiD6gxSLimiLgtEXR"
YOUTUBE_CHANNEL_ID_4 = "PLdODhYAqRu3Z4KZ3ndQ7OAKsE-5uVIMTX"
YOUTUBE_CHANNEL_ID_5 = "PLdODhYAqRu3YTq6SkDlCdQRgiGghcBe8J"


# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="מוזיקה שקטה",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="http://www.wallpapermay.com/thumbnails/detail/20121014/winter%20season%20snow%20music%20design%20snowflakes%20musical%201980x1280%20wallpaper_www.wallpapermay.com_11.jpg",
        folder=True )
        
    plugintools.add_item( 
        #action="", 
        title="מוזיקה קצבית",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="http://img.antenna.gr/images/96cc0d61-0834-45f8-a3d8-e62fe325ec64.jpg",
        folder=True )
        
    plugintools.add_item( 
        #action="", 
        title="מעורב יווני",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="http://feelgrafix.com/data_images/out/9/823904-greece-wallpapers.jpg",
        folder=True ) 
        
    plugintools.add_item( 
        #action="", 
        title="נוסטלגיה יוונית",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="http://previews.123rf.com/images/mpalis/mpalis1501/mpalis150100020/36107693-Man-playing-music-with-a-traditional-greek-music-instrument-called-mpouzouki--Stock-Photo.jpg",
        folder=True )
                          
    plugintools.add_item( 
        #action="", 
        title="הופעות יוון",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="http://www.icsv23.org/documents/greece_Athens-and-_3300057b.jpg",
        folder=True )                                 
                                                
run()
